# =============================================
# TaiChi.tcl  20160202 NCU 104323078
# =============================================
#    This is the objective file for TaiChi.tcl

# =========================================
### write the DVs into inp file
smartdo exetcl TaiChi_COMSOL_00.m TaiChi_COMSOL_01.m

# =========================================
### system call
catch {file delete -force TaiChi_max.txt}
catch {file delete -force TaiChi_max02.txt}
catch {file delete -force TaiChi_min.txt}
catch {file delete -force TaiChi_min02.txt}

set comsol_cmd "C:\\Program Files\\COMSOL\\COMSOL52a\\Multiphysics\\bin\\win64\\comsolmphserver.exe"

catch {exec -ignorestderr $comsol_cmd matlab -ml /nodesktop -ml /nosplash -ml r "TaiChi_COMSOL_01, exit"}

# =========================================
# =========================================
### make sure TaiChi_max02.txt is ready
set File001 ""
while { $File001 == "" } {
catch {set File001 [open "TaiChi_max02.txt" "r"]}
after 1000
}

catch {close $File001}
after 1000

# =========================================
### open and read the COMSOL output file

set File001 [open "TaiChi_max.txt" "r"]
gets $File001 String001

set File002 [open "TaiChi_min.txt" "r"]
gets $File002 String002

set smartdo_obj [lindex ($String002/$String001) ]
set smartdo_obj [expr (1-$smartdo_obj)*10000 ]

close $File001
close $File002
